Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package reporters
  Definition Classes
    nsc
- AbstractReporter
- ConsoleReporter
- CountingReporter
- DefaultReporter
- DisplayReporter
- Filtering
- FilteringReporter
- LimitFilter
- NoReporter
- PositionFilter
- PositionFiltering
- PrintReporter
- Reporter
- StoreReporter
- SummaryReporter

c

scala.tools.nsc.reporters

# DefaultReporter

###
Companion object DefaultReporter

#### class DefaultReporter extends PositionFilter with CountingReporter with SummaryReporter with LimitFilter

A reporter that filters by position and forwards for display

Source
  DisplayReporter.scala

Linear Supertypes
LimitFilter, SummaryReporter, CountingReporter, PositionFilter, PositionFiltering, FilteringReporter, Filtering, ForwardingReporter, reflect.internal.Reporter, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DefaultReporter
2. LimitFilter
3. SummaryReporter
4. CountingReporter
5. PositionFilter
6. PositionFiltering
7. FilteringReporter
8. Filtering
9. ForwardingReporter
10. Reporter
11. AnyRef
12. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new DefaultReporter(settings: Settings)
2.  new DefaultReporter(settings: Settings, writer: PrintWriter, echo: PrintWriter)

### Type Members

1.  class Severity extends AnyRef
   Definition Classes
     Reporter

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from DefaultReporter toany2stringadd[DefaultReporter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (DefaultReporter, B)
   Implicit
     This member is added by an implicit conversion from DefaultReporter toArrowAssoc[DefaultReporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def close(): Unit
9.  def count(severity: Severity): Int
   Definition Classes
     Reporter
10.  val delegate: reflect.internal.Reporter
    Attributes
      protected
    Definition Classes
      PositionFilter → ForwardingReporter
11.  def echo(pos: Position, msg: String): Unit
    Definition Classes
      FilteringReporter → ForwardingReporter → Reporter
12.  def echo(msg: String): Unit
    Definition Classes
      Reporter
13.  def ensuring(cond: (DefaultReporter) => Boolean, msg: => Any): DefaultReporter
    Implicit
      This member is added by an implicit conversion from DefaultReporter toEnsuring[DefaultReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: (DefaultReporter) => Boolean): DefaultReporter
    Implicit
      This member is added by an implicit conversion from DefaultReporter toEnsuring[DefaultReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean, msg: => Any): DefaultReporter
    Implicit
      This member is added by an implicit conversion from DefaultReporter toEnsuring[DefaultReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean): DefaultReporter
    Implicit
      This member is added by an implicit conversion from DefaultReporter toEnsuring[DefaultReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
19.  def error(pos: Position, msg: String): Unit
    Definition Classes
      FilteringReporter → ForwardingReporter → Reporter
20.  def errorCount: Int
    Definition Classes
      Reporter
21.  def filter(pos: Position, msg: String, severity: Severity): Boolean
    Attributes
      protected
    Definition Classes
      LimitFilter → Filtering
22.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
23.  def finish(): Unit

    Prints the number of warnings and errors if there are any.

    Prints the number of warnings and errors if there are any.

    Definition Classes
      SummaryReporter → Reporter
24.  def flush(): Unit
    Definition Classes
      ForwardingReporter → Reporter
25.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from DefaultReporter toStringFormat[DefaultReporter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
26.  def forward(pos: Position, msg: String, severity: Severity): Unit
    Attributes
      protected
    Definition Classes
      ForwardingReporter
27.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
28.  def hasErrors: Boolean
    Definition Classes
      LimitFilter → Reporter
29.  def hasWarnings: Boolean
    Definition Classes
      LimitFilter → Reporter
30.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
31.  def info0(pos: Position, msg: String, severity: Severity, force: Boolean): Unit
    Attributes
      protected
    Definition Classes
      ForwardingReporter → Reporter
32.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
33.  def maxerrs: Int
    Definition Classes
      DefaultReporter → LimitFilter
34.  def maxwarns: Int
    Definition Classes
      DefaultReporter → LimitFilter
35.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
36.  def noWarnings: Boolean

    True to disable warnings.

    True to disable warnings.

    Attributes
      protected
    Definition Classes
      PositionFilter → PositionFiltering
37.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
38.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
39.  def rerunWithDetails(setting: Setting, name: String): String
    Definition Classes
      Reporter
40.  def reset(): Unit
    Definition Classes
      LimitFilter → ForwardingReporter → Reporter
41.  def resetCount(severity: Severity): Unit
    Definition Classes
      Reporter
42.  def shortname: Boolean
43.  def shortname_=(flag: Boolean): Unit
44.  def suppressed(pos: Position, msg: String, severity: Severity): Unit

    Invoked when an error or warning is filtered by position.

    Invoked when an error or warning is filtered by position.

    Attributes
      protected
    Definition Classes
      PositionFilter → PositionFiltering
45.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
46.  def toString(): String
    Definition Classes
      AnyRef → Any
47.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
48.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
49.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
50.  def warning(pos: Position, msg: String): Unit
    Definition Classes
      FilteringReporter → ForwardingReporter → Reporter
51.  def warningCount: Int
    Definition Classes
      Reporter
52.  object ERROR extends Severity
    Definition Classes
      Reporter
53.  object INFO extends Severity
    Definition Classes
      Reporter
54.  object WARNING extends Severity
    Definition Classes
      Reporter

### Deprecated Value Members

1.  def →[B](y: B): (DefaultReporter, B)
   Implicit
     This member is added by an implicit conversion from DefaultReporter toArrowAssoc[DefaultReporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from LimitFilter

### Inherited from SummaryReporter

### Inherited from CountingReporter

### Inherited from PositionFilter

### Inherited from PositionFiltering

### Inherited from FilteringReporter

### Inherited from Filtering

### Inherited from ForwardingReporter

### Inherited from reflect.internal.Reporter

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromDefaultReporter to any2stringadd[DefaultReporter]

### Inherited by implicit conversion StringFormat fromDefaultReporter to StringFormat[DefaultReporter]

### Inherited by implicit conversion Ensuring fromDefaultReporter to Ensuring[DefaultReporter]

### Inherited by implicit conversion ArrowAssoc fromDefaultReporter to ArrowAssoc[DefaultReporter]

### Ungrouped